function setSeoTitle(title) {
    document.title = '港校租房-' + title
}

// 跳转 url
function redirectToExternalWebsite(url) {
    const link = document.createElement('a');
    link.href = url;
    // link.target = '_blank';
    link.click();
}

// 跳转登录
function goTologin() {
    let url = encodeURIComponent(location.href);
    redirectToExternalWebsite(`https://passport.gter.net/?referer=${url}`);
}

// 复制方法
function copyToClipboard(text) {

    return new Promise((resolve, reject) => {
        navigator.clipboard.writeText(text).then(() => {
            resolve()
        }).catch((err) => {
            reject()
        });
    });
}



module.exports = {
    setSeoTitle,
    redirectToExternalWebsite,
    goTologin,
    copyToClipboard,
}